CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Billing.SetOrganizationBillingEnabledAsync(
orgId: "<id>",
body: new SetOrganizationBillingEnabledRequestBody() {
Enabled = false,
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.billing.set_organization_billing_enabled(org_id="<id>", enabled=False)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.billing.setOrganizationBillingEnabled({
orgId: "<id>",
requestBody: {
enabled: false,
},
});
console.log(result);
}
run();curl --request PUT \
--url https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"currency": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, currency: '<string>'})
};
fetch('https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"org_id": "<string>",
"configured": true,
"enabled": true,
"status": "disabled",
"currency": "<string>",
"legal_name": "<string>",
"billing_email": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"state": "<string>"
},
"activated_at": "<string>",
"current_period": {
"start": "<string>",
"end": "<string>"
},
"current_unbilled_minor": 0,
"outstanding_minor": 0,
"invoices": [
{
"id": "<string>",
"period_start": "<string>",
"period_end": "<string>",
"currency": "<string>",
"amount_due_minor": 0,
"amount_paid_minor": 0,
"status": "<string>",
"hosted_invoice_url": "<string>",
"pdf_url": "<string>"
}
]
}Billing
Put apiv1budgetingbillingorgenabled
PUT
/
api
/
v1
/
budgeting
/
billing
/
org
/
enabled
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Billing.SetOrganizationBillingEnabledAsync(
orgId: "<id>",
body: new SetOrganizationBillingEnabledRequestBody() {
Enabled = false,
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.billing.set_organization_billing_enabled(org_id="<id>", enabled=False)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.billing.setOrganizationBillingEnabled({
orgId: "<id>",
requestBody: {
enabled: false,
},
});
console.log(result);
}
run();Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Query Parameters
Required string length:
1 - 255Response
200 - application/json
Está bien
Available options:
disabled, setup_required, active, past_due Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Was this page helpful?
⌘I